Package org.spongepowered.asm.mixin.gen

## Class AccessorGeneratorMethodProxy

- java.lang.Object
- - org.spongepowered.asm.mixin.gen.AccessorGenerator
  - - org.spongepowered.asm.mixin.gen.AccessorGeneratorMethodProxy

- Direct Known Subclasses:
    `AccessorGeneratorObjectFactory`

      public class AccessorGeneratorMethodProxy
      extends AccessorGenerator

  Generator for proxy methods

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected org.objectweb.asm.Type[]` | `argTypes` | Accessor method argument types (raw, from method)
    `protected org.objectweb.asm.Type` | `returnType` | Accessor method return type (raw, from method)
    `protected org.objectweb.asm.tree.MethodNode` | `targetMethod` | The target field, identified by the accessor info

    - ### Fields inherited from class org.spongepowered.asm.mixin.gen.AccessorGenerator

      `info, targetIsInterface, targetIsStatic`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `` | `AccessorGeneratorMethodProxy​(AccessorInfo info)` |
    `protected` | `AccessorGeneratorMethodProxy​(AccessorInfo info, boolean isStatic)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.objectweb.asm.tree.MethodNode` | `generate()` | Generate the accessor method

    - ### Methods inherited from class org.spongepowered.asm.mixin.gen.AccessorGenerator

      `checkModifiers, createMethod, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### targetMethod

          protected final org.objectweb.asm.tree.MethodNode targetMethod

      The target field, identified by the accessor info

    - #### argTypes

          protected final org.objectweb.asm.Type[] argTypes

      Accessor method argument types (raw, from method)

    - #### returnType

          protected final org.objectweb.asm.Type returnType

      Accessor method return type (raw, from method)

  - ### Constructor Detail

    - #### AccessorGeneratorMethodProxy

          public AccessorGeneratorMethodProxy​(AccessorInfo info)

    - #### AccessorGeneratorMethodProxy

          protected AccessorGeneratorMethodProxy​(AccessorInfo info,
                                                 boolean isStatic)

  - ### Method Detail

    - #### generate

          public org.objectweb.asm.tree.MethodNode generate()

      Description copied from class: `AccessorGenerator`
      Generate the accessor method
      Specified by:
        `generate` in class `AccessorGenerator`
      Returns:
        generated accessor method